package com.cim.idm.wmsextend.generic.util;

import com.cim.idm.wmspackage.generic.grade.GradeDef;
public class GradeDefUtil
{	
	public static GradeDef getGrade(String factoryName, String gradeType, boolean initialFlag)
	{
//		return GenericServiceProxy.getGradeMap().getGradeDefI(factoryName, gradeType, initialFlag);
		return null;
	}


	public static int getQuantityByGrades(String factoryName, String gradeType, String grades)
	{
		int quantity = 0;
		
//		for(int i=0; grades.length() > i; i++)
//		{
//			if(GenericServiceProxy.getGradeMap().getGradeDef(factoryName, gradeType, StringUtils.substring(grades, i, i+1)).isQuantityFlag())
//				quantity++;
//		}
		
		return quantity;
	}
}
